# frozen_string_literal: true

module ElasticsearchHermes
  class Configuration
    attr_accessor :request_timeout, :retry_on_failure, :es_user, :es_password
    attr_accessor :es_url, :enable_logs
    def initialize
      @request_timeout = nil
      @retry_on_failure = nil
      @es_user = nil
      @es_password = nil
      @es_url = nil
      @enable_logs = false
    end
  end
end
